Summary: Old version of libpng, needed to run old binaries.
Name: libpng10
Version: 1.0.13
Release: 5
License: OSI certified
Group: System Environment/Libraries
Source: ftp://swrinde.nde.swri.edu/pub/png/src/libpng-%{version}.tar.bz2
Source2: tp://swrinde.nde.swri.edu/pub/png/src/libpng-1.0.13patch03-makefiles.tar.gz
Patch0: libpng-1.0.13-rhconf.patch
Patch1: libpng-1.0.9-badchunks.patch
Patch2: libpng-1.0.13-rhconf2.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: zlib-devel
URL: http://www.libpng.org/pub/png/
Conflicts: libpng < 1.2.0
%define LIBVER 2.%{version}

%description
The libpng10 package contains an old version of libpng, a library of
functions for creating and manipulating PNG (Portable Network Graphics)
image format files.

This package is needed if you want to run binaries that were linked dynamically
with libpng 1.0.x.

%package devel
Group: Development/Libraries
Summary: Development tools for version 1.0 of libpng
Requires: libpng10 = %{version}, zlib-devel
Provides: libpng-devel = %{version}

%description devel
The libpng10-devel package contains the header files and static
libraries necessary for developing programs using version 1.0
of the PNG (Portable Network Graphics) library.

If you want to develop programs tha which will manipulate PNG image
format files, while still running on previous Red Hat Linux releases,
you should install libpng10-devel.  You'll also need to install the
libpng10 package.

%prep
%setup -n libpng-%{version}

## dump in the fixed makefiles (remove this with 1.0.14, presumably)
(cd scripts && tar zxf %{SOURCE2})

ln -s scripts/makefile.linux Makefile
%patch0 -p1 -b .rhconf
%patch1 -p1 -b .badchunk
%patch2 -p1 -b .sopwith

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"  %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install prefix=$RPM_BUILD_ROOT/usr

# I don't know what this is doing here.
rm -f $RPM_BUILD_ROOT%{_mandir}/man5/libpng.so*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc *.txt example.c README TODO CHANGES
%{_libdir}/libpng.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/libpng10
# includedir/libpng deliberately omitted, conflicts with other libpng versions
%{_libdir}/libpng10.so
%{_libdir}/libpng10.a
# libpng.so, libpng.a deliberately omitted, conflicts with other libpng versions
%{_libdir}/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 21 2002 Elliot Lee <sopwith@redhat.com> 1.0.13-3
- The package totally broke the backwards compatibility that it was intended to provide.
  Fixed by setting soname to libpng.so.2, and only tweaking the build (libpng*.{so,a}) files.
- Use _smp_mflags
- Fix rhconf patch because it was patching a symlink instead of the actual file.
- Don't provide libpng = {version}, because then the package conflicts with itself

* Thu May  9 2002 Jeremy Katz <katzj@redhat.com> 1.0.13-2
- rebuild 

* Thu May  2 2002 Havoc Pennington <hp@redhat.com> 1.0.13-1
- upgrade to 1.0.13, plus patch tarball from libpng web site
- update rhconf patch to work with new makefiles

* Mon Mar  4 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.12-6
- Revert fix for #59988 as it introduces a worse problem, #60410

* Tue Feb 26 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.12-5
- Conflict with libpng < 1.2.0 (#59988)

* Wed Jan 30 2002 Bill Nottingham <notting@redhat.com> 1.0.12-4
- provide libpng = %%{version}, libpng-devel = %%{version}

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jan  4 2002 Bill Nottingham <notting@redhat.com> 1.0.12-2
- add devel stuff (we may change this around later)

* Wed Sep 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.12-1
- initial compat package
